## debbindiff 9

=== debian/changelog ===
debbindiff (9) unstable; urgency=medium

  [ Chris Lamb ]
  * Add rpm-common to Build-Depends so that we can “import rpm" during build.
  * Code improvements improvements.

  [ Jérémy Bobbio ]
  * Add plain text output for differences. Thanks Helmut Grohne for the
    original patch. (Closes: #778423)
  * Exit with 2 in case of errors. (Closes: #774983)
  * Properly output diffs when one of the file is empty.
  * Add support for comparing directories.
  * Update debian/copyright.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 15 Feb 2015 12:13:46 +0100

debbindiff (8) unstable; urgency=medium

  [ Peter De Wachter ]
  * Use `diff -a` so debbindiff doesn't abort on binary files.

  [ Jérémy Bobbio ]
  * Verify that version in debian/changelog matches debbindiff version.
  * Update debian/copyright.
  * Recognize text/plain files.

  [ Reiner Herrmann ]
  * Increased line context of diff to further lower running time.
  * Use text comparator for xml/xhtml files.
  * Use text comparator for postscript files.
  * Add support for cpio archives.
  * Add support for rpm packages.
  * Fix a typo in debbindiff name in source headers.

  [ Chris Lamb ]
  * Improve code quality in several places.

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 10 Feb 2015 03:02:55 +0100

debbindiff (7) unstable; urgency=medium

  [ Jérémy Bobbio ]
  * Add support for PDF files.
  * Add --max-report-size command-line option.
  * Add extra mime type for .deb.
  * Fallback on binary comparison when external tools fail. (Closes: #764140)
  * Update copyrights.

  [ Helmut Grohne ]
  * Avoid unnecessary guess_mime_type calls.

  [ Reiner Herrmann ]
  * Speed up creation of diffs by removing extra lines before calling vim.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 10 Jan 2015 14:05:17 +0100

debbindiff (6) unstable; urgency=medium

  * Fallback to binary comparison when text encoding gets misdetected.
  * Skip full comparison when small files match.

 -- Jérémy Bobbio <lunar@debian.org>  Wed, 07 Jan 2015 12:01:11 +0100

debbindiff (5) unstable; urgency=medium

  * Properly encode strings before writing them to tempfiles.
    (Closes: #764254)
  * Fallback on binary comparison when text encoding is unknown.
  * Always use given source path in binary_fallback.
  * Add support for .udeb.
  * Add support for ttf and otf files.
  * Add support for png files. (Closes: #773573)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 30 Dec 2014 12:34:13 +0100

debbindiff (4) unstable; urgency=medium

  * Look harder for differences in zip files if needed.
  * Avoid deadlock when calling vimdiff. (Closes: #764131, #764420)
  * Add support for an external CSS. (Closes: #764470)
  * Improve default CSS to keep tables from overflowing.
  * Bump Standards-Version.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 09 Nov 2014 12:35:07 +0100
