=== debian/control ===
--- 
+++ 
@@ -8,8 +8,10 @@
                python-debian,
                python-docutils,
                python-magic,
-               python-setuptools
-Standards-Version: 3.9.5
+               python-rpm,
+               python-setuptools,
+               rpm-common
+Standards-Version: 3.9.6
 X-Python-Version: >= 2.7
 Homepage: https://wiki.debian.org/ReproducibleBuilds
 Vcs-Git: git://anonscm.debian.org/reproducible/debbindiff.git
@@ -19,10 +21,17 @@
 Architecture: all
 Depends: binutils-multiarch,
          bzip2,
+         cpio,
+         diffutils,
          file,
+         fontforge-extras,
          gettext,
          ghc,
          gnupg,
+         pdftk,
+         poppler-utils,
+         rpm2cpio,
+         sng,
          unzip,
          vim,
          vim-common,
