=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+VERSION = $(shell dpkg-parsechangelog --show-field Version)
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
@@ -15,4 +17,8 @@
 
 override_dh_clean:
 	rm -f debian/debbindiff.1
+	@if ! grep -q 'VERSION = "$(VERSION)"' debbindiff/__init__.py; then \
+		echo "Version in debian/changelog doesn't match debbindiff version"; \
+		exit 1; \
+	fi
 	dh_clean -O--buildsystem=python_distutils
