## debbindiff 15

=== debian/changelog ===
debbindiff (15) unstable; urgency=low

  * Terminate xxd if its output was too long.
  * Handle broken zip files by falling back on binary comparison.
  * Fix an over-matching jar/war filename regexp.
  * Fix .hi comparator.
  * Fix some file descriptor leaks.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 04 Apr 2015 18:30:48 +0200

debbindiff (14) unstable; urgency=low

  * Remove diffutils from Recommends as it is Essential:yes.
  * Fallback to Python hexlify if xxd is not available.
  * Decode msgunfmt output using the actual PO charset.
  * Stop buffering output of most external commands and
    send it to diff as it comes. (Closes: #781373)
  * Stop feeding input to diff after a certain amount of lines,
    as GNU diff cannot cope with arbitrary large output.
  * Fix newline and tab handling in HTML presenter.

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 02 Apr 2015 16:16:59 +0200

debbindiff (13) unstable; urgency=low

  [ Helmut Grohne ]
  * Fix several imports for RequiredToolNotFound.

  [ Jérémy Bobbio ]
  * Remove dead code from HTML presenter.
  * Fix tab handling in HTML presenter.
  * Swallow stderr when running showttf. (Closes: #781374)
  * Swallow stderr for readelf and objdump.
  * Use pipes instead of temp files to feed diff.
  * Stop processing diff output after too many lines.
  * Use LINESIZE constant directly in HTML presenter.
  * Better handle non-printable characters in HTML presenter.
  * Cut long lines in HTML presenter.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 28 Mar 2015 18:53:29 +0100

debbindiff (12) unstable; urgency=low

  [ Helmut Grohne ]
  * Attempt at fixing unicode issues with --text. (Closes: #778641)

  [ Jérémy Bobbio ]
  * Try with utf-8 encoding when comparing text files and no common
    encoding has been detected.
  * Perform content comparison when finding differences instead of
    waiting for the presentation phases. (Closes: #781280)
  * Instead of using vim, the HTML view is created from diff output.
    (Closes: #772029, #779476)

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 27 Mar 2015 18:42:26 +0100

debbindiff (11) unstable; urgency=low

  * Use latin-1 to decode showttf output.
  * Normalize locale environment variables on startup and subsequently use
    UTF-8 to decode output of most external tools. (Closes: #780863)
  * Error out when encoding is not Unicode-compatible for text output.
    (Closes: #778641)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 23 Mar 2015 22:00:15 +0100

debbindiff (10) unstable; urgency=low

  [ Chris Lamb ]
  * SVGZ files are gzip files.
  * Use gzip comparator for .tgz files.

  [ Reiner Herrmann ]
  * Use zip comparator for Java web archives (.war).
  * Use zip comparator for epub files.
  * Don't fill up diffs with dots.
  * Add support for squashfs images.

  [ Jérémy Bobbio ]
  * Output a nicer name for sub-directories.
  * Also compare stat, acl, and xattrs when comparing directories.
  * Check for availability of tools required by comparators (original work by
    Reiner Herrmann). Most packages in Depends are now in Recommends.
  * Ask objdump to display more sections.
  * Drop stderr output when running cpio -t.
  * Attempt to sort out multiple decoding and encoding issues.
    (Closes: #778641)
  * Fix source path when handling gzip, bzip2 and xz. (Closes: #779474)
  * Don't crash when two .changes don't contain the same files.
    (Closes: #779391)
  * Properly split lines when comparing .changes.
  * Add newlines if needed in text output.
  * Remove most table borders in HTML output. (Closes: #779475)
  * Properly close <span/> in HTML output.
  * Add anchors in HTML output. (Closes: #778537)
  * Update debian/copyright.

 -- Jérémy Bobbio <lunar@debian.org>  Fri, 20 Mar 2015 13:52:44 +0100
