=== debian/control ===
--- 
+++ 
@@ -19,25 +19,9 @@
 
 Package: debbindiff
 Architecture: all
-Depends: binutils-multiarch,
-         bzip2,
-         cpio,
-         diffutils,
-         file,
-         fontforge-extras,
-         gettext,
-         ghc,
-         gnupg,
-         pdftk,
-         poppler-utils,
-         rpm2cpio,
-         sng,
-         unzip,
-         vim,
-         vim-common,
-         xz-utils,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
+Recommends: ${debbindiff:Recommends}
 Description: highlight differences between two builds of Debian packages
  debbindiff was designed to easily compare two builds of the same Debian
  package, and understand their differences.
