## debbindiff 26

=== debian/changelog ===
debbindiff (26) unstable; urgency=low

  * Declare the package autopkgtestable.
  * Fix comparator for unknown files.
  * Add tests for unknown files comparator.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 28 Jun 2015 09:22:21 +0000

debbindiff (25) unstable; urgency=low

  * Comparators now have a test suite with 93% code coverage.
  * Support autopkgtest to run the test suite.
  * Properly strip path from javap output even when they are relative.
  * Also remove 'Last modified' and 'MD5 checksum' lines from javap output.
  * Factorize readelf commands.
  * Filter archive name from readelf output.
  * Filter archive name from objdump output.
  * Fix charset handling of .mo files.
  * Don't be quadratic when parsing .mo header.
  * Skip archive name in zipinfo output.
  * Fix destination path when decompressing gzip files not ending in .gz.
  * Filter image name from squashfs superblock information.
  * Fix comparison of files in cpio archives.
  * Change how we handle a missing RPM module.
  * Don't add empty Difference when comparing files with equal metadata in
    directories.
  * Filter access time from stat output.
  * Rename .changes comparator.
  * Rework .changes comparator.
  * Comparators now return a single Difference instead of a list of Difference.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 27 Jun 2015 14:32:58 +0000

debbindiff (24) unstable; urgency=medium

  * Fix for undefined variables introduced in last release.

 -- Reiner Herrmann <reiner@reiner-h.de>  Tue, 23 Jun 2015 00:15:28 +0200

debbindiff (23) unstable; urgency=medium

  [ Helmut Grohne ]
  * Speed up diff collection.
  * Read lines in larger chunks.

  [ Reiner Herrmann ]
  * Don't follow symlinks, but print their targets.

 -- Reiner Herrmann <reiner@reiner-h.de>  Mon, 22 Jun 2015 23:19:17 +0200

debbindiff (22) unstable; urgency=low

  * Add myself to uploaders
  * Swap JDK dependencies, so openjdk is preferred (thanks mapreri)

 -- Reiner Herrmann <reiner@reiner-h.de>  Sun, 14 Jun 2015 23:05:49 +0200

debbindiff (21) unstable; urgency=low

  * Non-maintainer upload.
  * Add support for Java .class files.
  * Add support for .ipk package files.

 -- Reiner Herrmann <reiner@reiner-h.de>  Sat, 13 Jun 2015 21:38:20 +0200

debbindiff (20) unstable; urgency=low

  [ Reiner Herrmann ]
  * info files can contain numbers in the extension

  [ Jérémy Bobbio ]
  * Fix diff parser when skipping until the end of a file without a newline.
  * Use same encoding as stdin when output is not a TTY. (Closes: #785288)

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 17 May 2015 16:05:14 +0200

debbindiff (19) unstable; urgency=low

  [ Reiner Herrmann ]
  * Fix info files comparator by specifying the correct parameter name
    for the text comparator. (Closes: #784891)

 -- Jérémy Bobbio <lunar@debian.org>  Tue, 12 May 2015 10:35:48 +0200

debbindiff (18) unstable; urgency=low

  [ Reiner Herrmann ]
  * Use zip comparator for pk3 files.
  * Use text comparator for info files.
  * Drop mime type for info files.
  * Remove limit of diff output again.

  [ Jérémy Bobbio ]
  * Assume tar member names are UTF-8 encoded. This allows debbindiff to
    process drmips.
  * Write a text report on stdout as default behavior.
  * Allow both --html and --text to produce output in one run.

 -- Jérémy Bobbio <lunar@debian.org>  Sat, 09 May 2015 11:29:46 +0200

debbindiff (17) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Add support for ISO9660 images.
  * Catch a few more initrds as such.
  * Reimplement are_same_binaries() using cmp.

  [ Reiner Herrmann ]
  * Use gzip comparator for .dz (dictzip) files.
  * Added isoinfo to list of tool providers.

  [ Yasushi SHOJI ]
  * Disable 'Device' section diff in stat output. (Closes: #783792)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 30 Apr 2015 19:29:26 +0200

debbindiff (16) unstable; urgency=low

  [ Reiner Herrmann ]
  * Remove temporary directory when exception is raised. (Closes: #782253)
  * Fix extraction when Zip member contain "../" in their path.

  [ Jérémy Bobbio ]
  * Fail with a better error message when unable to create a Queue.
    (Closes: #782551)

 -- Jérémy Bobbio <lunar@debian.org>  Thu, 16 Apr 2015 11:07:58 +0200
