=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: devel
 Priority: optional
 Maintainer: Reproducible builds folks <reproducible-builds@lists.alioth.debian.org>
-Uploaders: Jérémy Bobbio <lunar@debian.org>
+Uploaders: Jérémy Bobbio <lunar@debian.org>, Reiner Herrmann <reiner@reiner-h.de>
 Build-Depends: debhelper (>= 9),
                python-all,
                python-debian,
                python-docutils,
                python-magic,
+               python-pytest,
                python-rpm,
                python-setuptools,
                rpm-common
@@ -16,6 +17,7 @@
 Homepage: https://wiki.debian.org/ReproducibleBuilds
 Vcs-Git: git://anonscm.debian.org/reproducible/debbindiff.git
 Vcs-Browser: https://anonscm.debian.org/cgit/reproducible/debbindiff.git
+Testsuite: autopkgtest
 
 Package: debbindiff
 Architecture: all
