=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,14 @@
 
 %:
 	dh $@ --with python2 --buildsystem=python_distutils
+
+override_dh_auto_build:
+	dh_auto_build -O--buildsystem=python_distutils
+
+override_dh_gencontrol:
+	echo "debbindiff:Recommends=$$(./debbindiff.py --list-tools | tail -n 1 | \
+		sed -e 's/\(^\| \)\(coreutils\|diffutils\|e2fsprogs\|gzip\)\(,\|$$\)//g')" >> debian/debbindiff.substvars
+	dh_gencontrol -O--buildsystem=python_distutils
 
 override_dh_install:
 	mv debian/debbindiff/usr/bin/debbindiff.py debian/debbindiff/usr/bin/debbindiff
