=== debian/tests/control ===
Tests: pytest
Depends: debbindiff, python-pytest
Restrictions: needs-recommends
